//-------------------------------------------------------//
// Author:Rodolfo Machon
// Company:WebSoft, SA de CV 
// Nombre del archivo: puesto_balance_solvencia_bsws.js
// Created: 2015-11-01
// Updates: 2015-11-01
//-------------------------------------------------------//
//-------------------------------------------------------//
var weekdays 	= new Array("Domingo", "Lunes", "Martes", "Miercoles", "Jueves", "Viernes", "Sabado");
var months 		= new Array("Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre");
var today 		= new Date();
var weekday 	= today.getDay();
var monthday 	= today.getDate();
var month 		= today.getMonth();
var year 		= today.getFullYear();
var weekday		= weekdays[weekday];
var month 		= months[month];
var dateString	= (String(weekday))+" "+(String(monthday))+" DE "+(String(month))+", "+(String(year));
var FechaHoy	= GetFechaHoy();
var Prop		= document.form.propietarios.value;
var isIE 		= document.all?true:false;
var isNS 		= document.layers?true:false;
var exp_id		= document.form.i8_expediente_id.value;	
var xmlHttp11;
var xmlHttpStream11;
//-------------------------------------------------------//
window.onload = function(){
	var w = document.form.width.value;
	var h = document.form.height.value;

	document.form.fecha_emision.value 		= dateString;
	document.form.fecha_vencimiento.value	= dateString;	
	document.form.dt_vencimiento.value 		= FechaHoy;
	document.form.dt_emision.value 			= FechaHoy;	

	window.resizeTo(w,h);
	comprobar_estado();
	capturar_usuario();
}
//-------------------------------------------------------//
if (window.ActiveXObject){
	var Propietarios = new ActiveXObject("Microsoft.XMLDOM");
	Propietarios.async=false;
	Propietarios.loadXML(Prop);
}else if (document.implementation && document.implementation.createDocument){
	var Propietarias = document.implementation.createDocument("","",null);
	Propietarios= document.implementation.createDocument("","",null);
	Propietarios.loadXML(Prop);
}else{
	alert('Your browser cannot handle this script');
}
function onlyDigits(e,decReq) {
	var key = (isIE) ? window.event.keyCode : e.which;
	var obj = (isIE) ? event.srcElement : e.target;
	var isNum = (key > 47 && key < 58) ? true:false;
	var dotOK = (key==46 && decReq=='decOK' && (obj.value.indexOf(".")<0 || obj.value.length==0)) ? true:false;
	window.event.keyCode = (!isNum && !dotOK && isIE) ? 0:key;
	e.which = (!isNum && !dotOK && isNS) ? 0:key;
	return (isNum || dotOK);
}
function CambiarVencimiento(){
	var value	= document.form.dt_vencimiento.value;
	var Members 	= value.split("-");
	var NewDate	= new Date(Members[0],Members[1]-1,Members[2]);
	var NewString	= (String(weekdays[NewDate.getDay()]))+" "+(String(NewDate.getDate()))+" DE "+(String(months[NewDate.getMonth()]))+", "+(String(NewDate.getFullYear()));
	document.form.fecha_vencimiento.value = NewString.toUpperCase();
}
function CleanFechas(chk){
	if(chk==true){

	}else{
		document.form.dt_futuro.value="";
		document.form.dt_corte.value="";
		document.form.dt_corte1.value="";		
	}
}
function ShowTarifa(objRef){
	var chk_name	= objRef.name;
	var chk_indx	= objRef.name.split("_");
	var Rows	= GridData.split("~~");
	var RowData 	= Rows[chk_indx[2]-1].split("&&");
	var colTarifa	= "";
	for(var a=0;a<RowData.length-1;a++ ) {
		var ColsData = RowData[a].split("|");
		if(ColsData[2].substr(0,8)==chk_indx[1]){
			colTarifa = ColsData[2];
		}
	}
	return colTarifa;
}
function OpenRow(objRef,col){
    alert("Deben Existir los Inicios de Cobro!!!! \n Presione Enter para continuar..");
	var chk_name	= objRef.name;
	var valor       = objRef.value;
	var d82_exceso	= 0;

	if(valor<0){d82_exceso=valor;}

	var chk_indx	= objRef.name.split("_");
	var Rows		= GridData.split("~~");
    var i8_periodo	= eval("document.form.PER_"+chk_indx[2]+".value");
	var c8_tributo_id = chk_indx[1];
    var d82_tarifa	= eval("document.form.TAR_"+chk_indx[1]+"_"+chk_indx[2]+".value");
	var ATarifas 	= Tarifas.split("~~");
    var tars=Tarifas.split("~~");
	
    for (var pp=0;pp<ATarifas.length;pp++ ) {
		var ATarifaMembers = ATarifas[pp].split("|");
		if(c8_tributo_id==ATarifaMembers[0].substr(0,8)){
            var d82_tarifa=ATarifaMembers[1];
        }    
	}
	c16_tarifa_id = ShowTarifa(objRef);
    var tables;

	if (!tables || tables.closed){
		if(col=="tributo") {
			tables = window.open("../pl/procesar_abonos_indebidos.pl?i8_puesto_id="+exp_id+"&c8_tributo_id="+c8_tributo_id+"&d82_tarifa="+d82_tarifa+"&i8_periodo="+i8_periodo+"&d82_exceso="+d82_exceso+"&c16_tarifa_id="+c16_tarifa_id,"Abonos","top=50,left=50 width=600,height=180,resizable=no,status=no,scrollbars=no");
		}
		if(col=="total") {
			var total=d82_tarifa;
			tables = window.open("../pl/procesar_abonos_indebidos.pl?i8_puesto_id="+exp_id+"&c8_tributo_id="+c8_tributo_id+"&d82_tarifa="+d82_tarifa+"&total="+total+"&c16_tarifa_id="+c16_tarifa_id,"Abonos","top=50,left=50 width=600,height=180,resizable=no,status=no,scrollbars=no");
		}
	}else{tables.focus()}
}
function OpenRow1(objRef){
    alert("Deben Existir los Inicios de Cobro!!!! \n Presione Enter para continuar..");
	var chk_name	= objRef.name;
	var total       = objRef.value;        
	var chk_indx	= objRef.name.split("_");
	var i8_periodo	= eval("document.form.PER_"+chk_indx[1]+".value");        
    var tables;
	if (!tables || tables.closed){                            
        var win = window.open("../pl/procesar_abonos.pl?i8_expediente_id="+exp_id+"&generador=puesto&Tarifas="+Tarifas+"&i8_periodo="+i8_periodo+"&total="+total,"Abonos","top=50,left=50 width=400,height=180,resizable=no,status=no,scrollbars=no");                
		tables  = eval(win);
	}else{tables.focus()}
}
function capturar_usuario(){
    var URL     = "../pl/capturar_usuario.pl?id="+exp_id;
	//alert(URL);
    xmlHttp11	= GetXmlHttpObject(stateChangedCapturar);
    xmlHttp11.open("GET",URL,true) ;
    xmlHttp11.send(null);
}
function stateChangedCapturar(){
    if (xmlHttp11.readyState==4 || xmlHttp11.readyState=="complete"){ 
        xmlHttpStream11=xmlHttp11.responseText;
		//alert(xmlHttpStream11);
        if (xmlHttpStream11!="false" && xmlHttpStream11!=""){
			var respuesta	= xmlHttpStream11;
			var respuestas	= respuesta.split("|");
			var usuario		= respuestas[0];
			var fin  		= respuestas[1];
			var ultima_modificacion  = respuestas[2];
			document.form.v128_usuario.value = usuario;
			document.form.dt_ultima_modificacion.value = ultima_modificacion;
        }
    } 
}
function comprobar_estado(){
    if(document.form.c16_estado.value!="ACEPTADO"){
       if(document.form.c16_estado.value!="REUNIDO"){
			alert("El estado del puesto es: "+document.form.c16_estado.value+",\npor lo tanto no podra ser mostrada la informacion del estado de cuenta.\nEl estado se modifico por ultima vez: "+document.form.ts_update.value);
			document.form.pago_parcial.disabled="true"; //deshabilitando boton para facturar
			document.form.go.disabled="true"; //deshabilitando boton para generar estado de cuenta
			document.form.paga.disabled="true"; //deshabilitando checkbox de corte
			return;
        }
    }
    GetPageParams();  
}
function Solvencia(){
	var dtv 	= document.form.dt_vencimiento.value;
	var dte 	= document.form.dt_emision.value;	
	var tot 	= document.form.us_total.value;
	var gen_id 	= document.form.c3_tipo_generador_id.value;
	var emi_id 	= document.form.i8_emisor_id.value;
	var use_id 	= document.form.i8_user_id.value;
	var nic_id 	= document.form.i8_nic_id.value;
	if (tot>0) {alert("EL ESTADO DE CUENTA DEBE ESTAR CON SALDO CERO, PARA PODER EMITIR SOLVENCIA.");return;}
    var tables;
	if (!tables || tables.closed){
        var win = window.open("../pl/solvencia_p.pl?clase=puestos&id="+exp_id+"&dt_vencimiento="+dtv+"&dt_emision="+dte+"&emi_id="+emi_id+"&use_id="+use_id+"&gen_id="+gen_id+"&nic_id="+nic_id,"ProcesarSolvencia","top=50,left=50 width=400,height=180,resizable=no,status=no,scrollbars=no");
		tables  = eval(win);
	}else{tables.focus()}
}
function Cargar(){
	DeleteGrid();
	document.getElementById('Grid').deleteTHead();
	document.getElementById('Grid').deleteTFoot();
	document.form.tp.value="AFUTURO";
	GetGrid();	
}